Page MenuHomePhabricator

When invalid input is added to link inspector search, the open button should be disabled, not open the last valid query
Closed, ResolvedPublic1 Estimated Story Points

Description

open VE edit
type the word vegetation
highlight vegetation
open link inspector
in search replace vegetation with gjdsfgkljagljsd
click open
opens vegetation

expected : open should be disabled or not displayed

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Ryasmeen triaged this task as Medium priority.Jan 15 2015, 12:31 AM
Ryasmeen set Security to None.

I cannot reproduce this issue, it opens the link target page that I edited second time. Reopen if you can still reproduce this with screenshot if possible

Ryasmeen closed this task as Invalid.Jan 15 2015, 12:35 AM

Using the steps listed I was easily able to reproduce, I've included a video. Let me know if you have any other questions and I'll be happy to demo in person.

To reproduce, the article that was linked to on first attempt need to be an existing article in that wiki

gerritbot added a subscriber: gerritbot.

Change 185381 had a related patch set uploaded (by Alex Monk):
MWLinkTargetInputWidget: Check WM title validity

https://gerrit.wikimedia.org/r/185381

Patch-For-Review

Jdforrester-WMF renamed this task from When invalid input is added to link inspector search open link opens last valid query rather than disabling to When invalid input is added to link inspector search, the open button should be disabled, no open the last valid query.Jan 17 2015, 3:50 AM
Jdforrester-WMF moved this task from Freezer to Blocked on the VisualEditor board.
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jan 31 2015, 3:12 AM

Change 185381 merged by jenkins-bot:
MWLinkTargetInputWidget: Check title is valid in MediaWiki

https://gerrit.wikimedia.org/r/185381

Jdforrester-WMF renamed this task from When invalid input is added to link inspector search, the open button should be disabled, no open the last valid query to When invalid input is added to link inspector search, the open button should be disabled, not open the last valid query.Mar 9 2015, 6:07 PM
Jdforrester-WMF edited a custom field.